Bug 145587 - OTi card reader
OTi card reader
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 17:06 EST by Jakub Jelinek
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 16:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2005-01-19 17:06:28 EST
scsi_devinfo.c doesn't list OTi multi-card reader, so I have to use
options scsi_mod max_report_luns=256 max_luns=256 to see all LUNs on it.
With these options, I get:
cat /proc/scsi/scsi
Attached devices:
Host: scsi3 Channel: 00 Id: 00 Lun: 00
  Vendor: OTi      Model: CF CARD Reader   Rev: 2.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 01
  Vendor: OTi      Model: SM CARD Reader   Rev: 2.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 02
  Vendor: OTi      Model: SD CARD Reader   Rev: 2.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 03
  Vendor: OTi      Model: MS CARD Reader   Rev: 2.00
  Type:   Direct-Access                    ANSI SCSI revision: 02

Still, even with this option, when I insert a CF card, /dev/sda is not available
(while in FC2 this worked flawlessly, it didn't show the non-CF cards but as I
have CF cards only ATM, it didn't matter much).

Can you please hint me how to debug what's going on and why this stopped working?

$ /sbin/lsusb
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 002: ID 03f0:6004 Hewlett-Packard
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 005: ID 0ea0:2126 Ours Technology, Inc.
Bus 001 Device 001: ID 0000:0000
$ sudo /sbin/usbmodules --device /proc/bus/usb/001/005
usb-storage

Jan 19 23:02:40 q73 kernel: usb 1-8: new high speed USB device using address 5
Jan 19 23:02:40 q73 kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Jan 19 23:02:42 q73 kernel:   Vendor: OTi       Model: CF CARD Reader    Rev: 2.00
Jan 19 23:02:42 q73 kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
Jan 19 23:02:42 q73 kernel: Attached scsi removable disk sda at scsi4, channel 0, id 0, lun 0
Jan 19 23:02:42 q73 kernel:   Vendor: OTi       Model: SM CARD Reader    Rev: 2.00
Jan 19 23:02:42 q73 kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
Jan 19 23:02:42 q73 kernel: Attached scsi removable disk sdb at scsi4, channel 0, id 0, lun 1
Jan 19 23:02:42 q73 kernel:   Vendor: OTi       Model: SD CARD Reader    Rev: 2.00
Jan 19 23:02:42 q73 kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
Jan 19 23:02:42 q73 scsi.agent[5088]: disk at /devices/pci0000:00/0000:00:10.4/usb1/1-8/1-8:1.0/host4/4:0:0:0
Jan 19 23:02:42 q73 kernel: Attached scsi removable disk sdc at scsi4, channel 0, id 0, lun 2
Jan 19 23:02:42 q73 kernel:   Vendor: OTi       Model: MS CARD Reader    Rev: 2.00
Jan 19 23:02:42 q73 kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
Jan 19 23:02:42 q73 scsi.agent[5108]: disk at /devices/pci0000:00/0000:00:10.4/usb1/1-8/1-8:1.0/host4/4:0:0:1
Jan 19 23:02:42 q73 scsi.agent[5127]: disk at /devices/pci0000:00/0000:00:10.4/usb1/1-8/1-8:1.0/host4/4:0:0:2
Jan 19 23:02:42 q73 kernel: Attached scsi removable disk sdd at scsi4, channel 0, id 0, lun 3
Jan 19 23:02:42 q73 scsi.agent[5166]: disk at /devices/pci0000:00/0000:00:10.4/usb1/1-8/1-8:1.0/host4/4:0:0:3
Comment 1 Jakub Jelinek 2005-01-19 17:38:08 EST
Oops, I wasn't running haldaemon, with that one in it seems to work.
So all that is needed is I guess addition of this reader to scsi_devinfo.c.

Note You need to log in before you can comment on or make changes to this bug.